nRF51 SDK: ble_gattc_evt_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_gattc_evt_t Struct Reference
Generic Attribute Profile (GATT) Client | Structures | Generic Attribute Profile (GATT) Client

GATTC event type. More...

`#include <ble_gattc.h>`

## Data Fields

uint16_t | conn_handle
uint16_t | gatt_status
uint16_t | error_handle
union {
ble_gattc_evt_prim_srvc_disc_rsp_t prim_srvc_disc_rsp
ble_gattc_evt_rel_disc_rsp_t rel_disc_rsp
ble_gattc_evt_char_disc_rsp_t char_disc_rsp
ble_gattc_evt_desc_disc_rsp_t desc_disc_rsp
ble_gattc_evt_char_val_by_uuid_read_rsp_t char_val_by_uuid_read_rsp
ble_gattc_evt_read_rsp_t read_rsp
ble_gattc_evt_char_vals_read_rsp_t char_vals_read_rsp
ble_gattc_evt_write_rsp_t write_rsp
ble_gattc_evt_hvx_t hvx
ble_gattc_evt_timeout_t timeout
} | params
union {
ble_gattc_evt_prim_srvc_disc_rsp_t prim_srvc_disc_rsp
ble_gattc_evt_rel_disc_rsp_t rel_disc_rsp
ble_gattc_evt_char_disc_rsp_t char_disc_rsp
ble_gattc_evt_desc_disc_rsp_t desc_disc_rsp
ble_gattc_evt_char_val_by_uuid_read_rsp_t char_val_by_uuid_read_rsp
ble_gattc_evt_read_rsp_t read_rsp
ble_gattc_evt_char_vals_read_rsp_t char_vals_read_rsp
ble_gattc_evt_write_rsp_t write_rsp
ble_gattc_evt_hvx_t hvx
ble_gattc_evt_timeout_t timeout
} | params
union {
ble_gattc_evt_prim_srvc_disc_rsp_t prim_srvc_disc_rsp
ble_gattc_evt_rel_disc_rsp_t rel_disc_rsp
ble_gattc_evt_char_disc_rsp_t char_disc_rsp
ble_gattc_evt_desc_disc_rsp_t desc_disc_rsp
ble_gattc_evt_char_val_by_uuid_read_rsp_t char_val_by_uuid_read_rsp
ble_gattc_evt_read_rsp_t read_rsp
ble_gattc_evt_char_vals_read_rsp_t char_vals_read_rsp
ble_gattc_evt_write_rsp_t write_rsp
ble_gattc_evt_hvx_t hvx
ble_gattc_evt_timeout_t timeout
} | params

## Detailed Description

GATTC event type.

## Field Documentation

ble_gattc_evt_char_disc_rsp_t ble_gattc_evt_t::char_disc_rsp

Characteristic Discovery Response Event Parameters.

ble_gattc_evt_char_val_by_uuid_read_rsp_t ble_gattc_evt_t::char_val_by_uuid_read_rsp

Characteristic Value Read by UUID Response Event Parameters.

ble_gattc_evt_char_vals_read_rsp_t ble_gattc_evt_t::char_vals_read_rsp

Characteristic Values Read Response Event Parameters.

uint16_t ble_gattc_evt_t::conn_handle

Connection Handle on which event occured.

ble_gattc_evt_desc_disc_rsp_t ble_gattc_evt_t::desc_disc_rsp

Descriptor Discovery Response Event Parameters.

uint16_t ble_gattc_evt_t::error_handle

In case of error: The handle causing the error. In all other cases BLE_GATT_HANDLE_INVALID.

uint16_t ble_gattc_evt_t::gatt_status

GATT status code for the operation, see BLE_GATT_STATUS_CODES.

ble_gattc_evt_hvx_t ble_gattc_evt_t::hvx

Handle Value Notification/Indication Event Parameters.

union { ... } ble_gattc_evt_t::params

Event Parameters.

Note
  Only valid if gatt_status == BLE_GATT_STATUS_SUCCESS.

union { ... } ble_gattc_evt_t::params

Event Parameters.

Note
  Only valid if gatt_status == BLE_GATT_STATUS_SUCCESS.

union { ... } ble_gattc_evt_t::params

Event Parameters.

Note
  Only valid if gatt_status == BLE_GATT_STATUS_SUCCESS.

ble_gattc_evt_prim_srvc_disc_rsp_t ble_gattc_evt_t::prim_srvc_disc_rsp

Primary Service Discovery Response Event Parameters.

ble_gattc_evt_read_rsp_t ble_gattc_evt_t::read_rsp

Read Response Event Parameters.

ble_gattc_evt_rel_disc_rsp_t ble_gattc_evt_t::rel_disc_rsp

Relationship Discovery Response Event Parameters.

ble_gattc_evt_timeout_t ble_gattc_evt_t::timeout

Timeout Event Parameters.

ble_gattc_evt_write_rsp_t ble_gattc_evt_t::write_rsp

Write Response Event Parameters.